## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname openapi-spec-validator
%global modname openapi_spec_validator

Name:           python-%{srcname}
Version:        0.7.2
Release:        %autorelease
Summary:        Python library for OpenAPI specs validation

License:        Apache-2.0
URL:            https://github.com/python-openapi/%{srcname}
Source:         %{pypi_source %{modname}}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
OpenAPI Spec Validator is a Python library that validates OpenAPI Specs against
the OpenAPI 2.0 (aka Swagger), OpenAPI 3.0 and OpenAPI 3.1 specification. The
validator aims to check for full compliance with the Specification.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{modname}-%{version}
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i '/^--cov[-=]/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pytest -m 'not network'


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/%{srcname}


%changelog
## START: Generated by rpmautospec
* Mon Jun 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.2-1
- Update to 0.7.2 (close RHBZ#2370951)

* Wed Jun 04 2025 Python Maint <python-maint@redhat.com> - 0.7.1-7
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.7.1-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 24 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.1-1
- Update to 0.7.1 (close RHBZ#2243827)

* Mon Oct 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.7.0-1
- Update to 0.7.0 (close RHBZ#2242891)

* Tue Sep 05 2023 Mattia Verga <mattia.verga@proton.me> - 0.6.0-1
- Update to 0.6.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.7-3
- Rebuilt for Python 3.12 (close RHBZ#2220375)

* Sat Jun 17 2023 Mattia Verga <mattia.verga@proton.me> - 0.5.7-2
- Rebuild for f39-python

* Fri Jun 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.7-1
- Update to 0.5.7 (close RHBZ#2214121)

* Fri Mar 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.6-1
- Update to 0.5.6 (close RHBZ#2179285)
- Switch to the PyPI sdist since it now contains tests

* Thu Mar 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.5-4
- Add missing “requests” extra metapackage

* Thu Mar 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.5-3
- Break long lines in the description

* Thu Mar 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.5-2
- Update URL for move to python-openapi GitHub organization

* Tue Feb 07 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.5-1
- Update to 0.5.5 (close RHBZ#2167272)

* Thu Feb 02 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.4-1
- Update to 0.5.4

* Wed Feb 01 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.3-1
- Update to 0.5.3 (close RHBZ#2166248)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.2-1
- Update to 0.5.2 (close RHBZ#2161144, fix RHBZ#2160913)
- Switch to GitHub source and run the (offline) tests

* Wed Dec 21 2022 Mattia Verga <mattia.verga@proton.me> - 0.5.1-1
- Initial import (fedora#2154236)
## END: Generated by rpmautospec
